/* 
 * Motif Tools Library, Version 2.0
 * $Id: MotifWidgets.c,v 2.9 1994/07/04 03:03:50 david Exp $
 * 
 * Written by David Flanagan.
 * Copyright (c) 1992, 1993, 1994 by Dovetail Systems.
 * All Rights Reserved.  See the file COPYRIGHT for details.
 * This is not free software.  See the file SHAREWARE for details.
 * There is no warranty for this software.  See NO_WARRANTY for details.
 */

#include <Xmt/Xmt.h>
#include <Xmt/WidgetType.h>

#include <Xm/ArrowB.h>
#include <Xm/BulletinB.h>
#include <Xm/CascadeB.h>
#include <Xm/Command.h>
#include <Xm/DialogS.h>
#include <Xm/DrawingA.h>
#include <Xm/DrawnB.h>
#include <Xm/FileSB.h>
#include <Xm/Form.h>
#include <Xm/Frame.h>
#include <Xm/Label.h>
#include <Xm/List.h>
#include <Xm/MainW.h>
#include <Xm/MenuShell.h>
#include <Xm/MessageB.h>
#include <Xm/PanedW.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/ScrollBar.h>
#include <Xm/ScrolledW.h>
#include <Xm/SelectioB.h>
#include <Xm/Separator.h>

static XmtWidgetType motif_widgets[] = {
{"XmArrowButton", NULL, XmCreateArrowButton},
{"XmBulletinBoard", NULL, XmCreateBulletinBoard},
{"XmBulletinBoardDialog", NULL, XmCreateBulletinBoardDialog, NULL, NULL, True},
{"XmCascadeButton", NULL, XmCreateCascadeButton},
{"XmCommand", NULL, XmCreateCommand},
{"XmDialogShell", NULL, XmCreateDialogShell, NULL, NULL, True},
{"XmDrawingArea", NULL, XmCreateDrawingArea},
{"XmDrawnButton", NULL, XmCreateDrawnButton},
{"XmErrorDialog", NULL, XmCreateErrorDialog, NULL, NULL, True},
{"XmFileSelectionBox", NULL, XmCreateFileSelectionBox},
{"XmFileSelectionDialog", NULL, XmCreateFileSelectionDialog, NULL, NULL, True},
{"XmForm", NULL, XmCreateForm},
{"XmFormDialog", NULL, XmCreateFormDialog, NULL, NULL, True},
{"XmFrame", NULL, XmCreateFrame},
{"XmInformationDialog", NULL, XmCreateInformationDialog, NULL, NULL, True},
{"XmLabel", NULL, XmCreateLabel},
/* Motif 1.2.0 has the prototypes wrong for these next two and ScrolledList */ 
{"XmList", NULL, (XmtWidgetConstructor) XmCreateList}, 
{"XmMainWindow", NULL, (XmtWidgetConstructor) XmCreateMainWindow},
{"XmMenuBar", NULL, XmCreateMenuBar},
{"XmMenuShell", NULL, XmCreateMenuShell, NULL, NULL, True},
{"XmMessageBox", NULL, XmCreateMessageBox},
{"XmMessageDialog", NULL, XmCreateMessageDialog, NULL, NULL, True},
{"XmOptionMenu", NULL, XmCreateOptionMenu},
{"XmPanedWindow", NULL, XmCreatePanedWindow},
{"XmPopupMenu", NULL, XmCreatePopupMenu, NULL, NULL, True},
{"XmPromptDialog", NULL, XmCreatePromptDialog, NULL, NULL, True},
{"XmPulldownMenu", NULL, XmCreatePulldownMenu, NULL, NULL, True},
{"XmPushButton", NULL, XmCreatePushButton},
{"XmQuestionDialog", NULL, XmCreateQuestionDialog, NULL, NULL, True},
{"XmRadioBox", NULL, XmCreateRadioBox},
{"XmRowColumn", NULL, XmCreateRowColumn},
{"XmScrollBar", NULL, XmCreateScrollBar},
{"XmScrolledList", NULL, (XmtWidgetConstructor) XmCreateScrolledList},
{"XmScrolledWindow", NULL, XmCreateScrolledWindow},
{"XmSelectionBox", NULL, XmCreateSelectionBox},
{"XmSelectionDialog", NULL, XmCreateSelectionDialog, NULL, NULL, True},
{"XmSeparator", NULL, XmCreateSeparator},
{"XmSimpleCheckBox", NULL, XmCreateSimpleCheckBox},
{"XmSimpleMenuBar", NULL, XmCreateSimpleMenuBar},
{"XmSimpleOptionMenu", NULL, XmCreateSimpleOptionMenu},
{"XmSimplePopupMenu", NULL, XmCreateSimplePopupMenu, NULL, NULL, True},
{"XmSimplePulldownMenu", NULL, XmCreateSimplePulldownMenu, NULL, NULL, True},
{"XmSimpleRadioBox", NULL, XmCreateSimpleRadioBox},
{"XmWarningDialog", NULL, XmCreateWarningDialog, NULL, NULL, True},
{"XmWorkArea", NULL, XmCreateWorkArea},
{"XmWorkingDialog", NULL, XmCreateWorkingDialog, NULL, NULL, True},
};


#if NeedFunctionPrototypes
void XmtRegisterMotifWidgets(void)
#else
void XmtRegisterMotifWidgets()
#endif
{
    XmtRegisterWidgetTypes(motif_widgets, XtNumber(motif_widgets));
    XmtRegisterXmText();
    XmtRegisterXmScrolledText();
    XmtRegisterXmTextField();
    XmtRegisterXmToggleButton();
    XmtRegisterXmScale();
}
